Subject: Re: bug#59671: CC Mode 5.35.2 (C/*l); More incorrect type recognition
From: Alan Mackenzie <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked]
Date: Tue, 17 Jan 2023 18:26:03 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Po.

On Fri, Dec 09, 2022 at 09:05:35 +0800, Po Lu wrote:
> Alan Mackenzie <[email-masked]> writes:

> > Yes.  This is not good.  Please try out the attached patch which applies
> > cleanly to the release branch (and almost certainly to the master branch
> > too).  This should fix the problem, in that although "allocscratch" gets
> > entered into c-found-types, it gets removed again as soon as a type and
> > declarator are typed in after the typedef.

> This works for my example but I've yet to use the patch in the real
> world.  Thanks.

I've committed the patch and I'm closing the bug with this post.

-- 
Alan Mackenzie (Nuremberg, Germany).